Package com.ngrok.services

# Class EventSources

java.lang.Object
com.ngrok.services.EventSources

public class EventSources extends Object
An API client for `EventSources`. See also https://ngrok.com/docs/api#api-event-sources.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EventSources.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `EventSources.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `EventSources.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `EventSources.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `EventSources.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventSources(NgrokApiClient apiClient)`
  Creates a new sub-client for EventSources.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventSources.CreateCallBuilder`
  `create(String subscriptionId)`
  Add an additional type for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-create.
  `EventSources.DeleteCallBuilder`
  `delete(String subscriptionId, String type)`
  Remove a type for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-delete.
  `EventSources.GetCallBuilder`
  `get(String subscriptionId, String type)`
  Get the details for a given type that triggers for the given event subscription See also https://ngrok.com/docs/api#api-event-sources-get.
  `EventSources.ListCallBuilder`
  `list(String subscriptionId)`
  List the types for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-list.
  `EventSources.UpdateCallBuilder`
  `update(String subscriptionId, String type)`
  Update the type for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventSources

    public EventSources(NgrokApiClient apiClient)
    Creates a new sub-client for EventSources.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public EventSources.CreateCallBuilder create(String subscriptionId)
    Add an additional type for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-create.
    Parameters:
      `subscriptionId` - The unique identifier for the Event Subscription that this Event Source is attached to.
    Returns:
      a call builder for this API call

  - ### delete

    public EventSources.DeleteCallBuilder delete(String subscriptionId, String type)
    Remove a type for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-delete.
    Parameters:
      `subscriptionId` - The unique identifier for the Event Subscription that this Event Source is attached to.
      `type` - Type of event for which an event subscription will trigger
    Returns:
      a call builder for this API call

  - ### get

    public EventSources.GetCallBuilder get(String subscriptionId, String type)
    Get the details for a given type that triggers for the given event subscription See also https://ngrok.com/docs/api#api-event-sources-get.
    Parameters:
      `subscriptionId` - The unique identifier for the Event Subscription that this Event Source is attached to.
      `type` - Type of event for which an event subscription will trigger
    Returns:
      a call builder for this API call

  - ### list

    public EventSources.ListCallBuilder list(String subscriptionId)
    List the types for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-list.
    Parameters:
      `subscriptionId` - The unique identifier for the Event Subscription that this Event Source is attached to.
    Returns:
      a call builder for this API call

  - ### update

    public EventSources.UpdateCallBuilder update(String subscriptionId, String type)
    Update the type for which this event subscription will trigger See also https://ngrok.com/docs/api#api-event-sources-update.
    Parameters:
      `subscriptionId` - The unique identifier for the Event Subscription that this Event Source is attached to.
      `type` - Type of event for which an event subscription will trigger
    Returns:
      a call builder for this API call